// TopologyBuildingDoc.h : interface of the CTopologyBuildingDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TOPOLOGYBUILDINGDOC_H__30453382_3E75_11D7_8611_0060B0EE281E__INCLUDED_)
#define AFX_TOPOLOGYBUILDINGDOC_H__30453382_3E75_11D7_8611_0060B0EE281E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <OCC_3dDoc.h>
#include "ResultDialog.h"

class CTopologyBuildingDoc : public OCC_3dDoc
{
public:


protected: // create from serialization only
	CTopologyBuildingDoc();
	DECLARE_DYNCREATE(CTopologyBuildingDoc)

public:
	virtual ~CTopologyBuildingDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CTopologyBuildingDoc)
	afx_msg void OnVertex();
	afx_msg void OnEdge();
	afx_msg void OnWire();
	afx_msg void OnFace();
	afx_msg void OnShell();
	afx_msg void OnCompound();
	afx_msg void OnGeometrie();
	afx_msg void OnSewing();
	afx_msg void OnExplorer();
	afx_msg void OnBuilder();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TOPOLOGYBUILDINGDOC_H__30453382_3E75_11D7_8611_0060B0EE281E__INCLUDED_)
